- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
STOFFSubDocument Class Referenceabstract

abstract class used to store a subdocument (with a comparison function) More...

`#include <STOFFSubDocument.hxx>`

Inheritance diagram for STOFFSubDocument:

## Public Member Functions
| STOFFSubDocument (STOFFParser *pars, STOFFInputStreamPtr ip, STOFFEntry const &z)
| constructor from parser, input stream and zone in the input More...
| STOFFSubDocument (STOFFSubDocument const &doc)
| copy constructor More...
STOFFSubDocument & | operator= (STOFFSubDocument const &doc)
| copy operator More...
virtual | ~STOFFSubDocument ()
| virtual destructor More...
virtual bool | operator!= (STOFFSubDocument const &doc) const
| comparison operator!= More...
bool | operator== (STOFFSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator== More...
virtual void | parse (STOFFListenerPtr &listener, libstoff::SubDocumentType subDocumentType)=0
| virtual parse function More...

## Protected Attributes
STOFFParser * | m_parser
| the main zone parser More...
shared_ptr< STOFFInputStream > | m_input
| the input More...
STOFFEntry | m_zone
| if valid the zone to parse More...

## Detailed Description

abstract class used to store a subdocument (with a comparison function)

## Constructor & Destructor Documentation

STOFFSubDocument::STOFFSubDocument | ( | STOFFParser * | pars,
|  | STOFFInputStreamPtr | ip,
|  | STOFFEntry const & | z
| ) |  |

constructor from parser, input stream and zone in the input

STOFFSubDocument::STOFFSubDocument | ( | STOFFSubDocument const & | doc | ) |
| explicit

copy constructor

STOFFSubDocument::~STOFFSubDocument | ( |  | ) |
| virtual

virtual destructor

## Member Function Documentation

bool STOFFSubDocument::operator!= | ( | STOFFSubDocument const & | doc | ) | const
| virtual

comparison operator!=

Reimplemented in StarObjectSpreadsheetInternal::SubDocument, StarPageAttribute::SubDocument, StarObjectSmallGraphicInternal::SubDocument, SDGParserInternal::SubDocument, and STOFFChartInternal::SubDocument.

Referenced by operator!=(), and operator==().

bool STOFFSubDocument::operator!= | ( | shared_ptr< STOFFSubDocument > const & | doc | ) | const

comparison operator!=

STOFFSubDocument & STOFFSubDocument::operator= | ( | STOFFSubDocument const & | doc | ) |

copy operator

bool STOFFSubDocument::operator== | ( | STOFFSubDocument const & | doc | ) | const
| inline

comparison operator==

bool STOFFSubDocument::operator== | ( | shared_ptr< STOFFSubDocument > const & | doc | ) | const
| inline

comparison operator==

virtual void STOFFSubDocument::parse | ( | STOFFListenerPtr & | listener,
|  | libstoff::SubDocumentType | subDocumentType
| ) |  |
| pure virtual

virtual parse function

this function is called to parse the subdocument

Implemented in StarObjectSpreadsheetInternal::SubDocument, StarPageAttribute::SubDocument, StarObjectSmallGraphicInternal::SubDocument, SDGParserInternal::SubDocument, and STOFFChartInternal::SubDocument.

Referenced by operator==().

## Member Data Documentation

shared_ptr<STOFFInputStream> STOFFSubDocument::m_input
| protected

the input

Referenced by operator!=(), and operator=().

STOFFParser* STOFFSubDocument::m_parser
| protected

the main zone parser

Referenced by operator!=(), and operator=().

STOFFEntry STOFFSubDocument::m_zone
| protected

if valid the zone to parse

Referenced by operator!=(), and operator=().

The documentation for this class was generated from the following files:

- STOFFSubDocument.hxx
- STOFFSubDocument.cxx